=== debian/changelog ===
dose3 (3.3~beta1-3) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * demote trigger on /usr/share/cudf/solvers from "interest" to
    "interest-noawait": there is no real need to block, and doing so avoid
    trigger cycles. Thanks Guillem Jover for the heads-up.
    (Closes: #772875)

  [ Johannes Schauer ]
  * fix debian/watch (add uversionmangle) 

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 12 Dec 2014 16:39:24 +0100

dose3 (3.3~beta1-1) unstable; urgency=low

  [ Ralf Treinen ]
  * new upstream version:
    - refreshed patches: binaries-prefix-edos, coinstall-binary-name
    - dropped patches that were integrated upstream: buildcheck-manpage,
      buildcheck-manpage-native-arch, multiarch-accept-value-no
  * new patches, cherry-picked from upstream git:
    - doc-target (fix doc target of Makefile)
    - installcudf-target (restore that target which was accidentially dropped)
    - build-cmx (really build cmx)
    - manpages-typos
  * add rudimentary as-installed package tests for dose-debcheck,
    dose-builddebcheck, dose-outdated
  * debian/control: replace Conflicts: by Breaks:
  * debian/copyright: fixed spelling of Alain Frisch
  * debian/copyright: dropped connection-licence which is no longer referred to

  [ Johannes Schauer ]
  * avoid lintian warning binary-control-field-duplicates-source field
    "priority" by removing the Priority field from edos-distcheck in d/control
  * avoid lintian warning vcs-field-not-canonical by modifying the Vcs-Git and
    Vcs-Browser values accordingly
  * the db subdirectory was removed from the upstream source so remove stanza
    from d/copyright
  * bump standards version to 3.9.6
  * avoid lintian warning copyright-refers-to-symlink-license by pointing to
    LGPL-3 license file instead of LGPL
  * d/control: s/debian/Debian/ to avoid capitalization-error-in-description
  * dropped buildcheck-redirect-output because it was integrated upstream

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Oct 2014 20:28:45 +0200

dose3 (3.2.2-3) unstable; urgency=medium

  * debian/changelog: fix my email address in previous changelog entry.
  * add patch buildcheck-manpage-native-arch: specify in the manpage that
    the --deb-native-arch argument is mandatory to debbuildcheck
    (closes: #757641).
  * add patch multiarch-accept-value-no: when parsing debian metadata,
    accept "no" as alias for "none" as value of Multiarch. Thanks to
    Pietro Abate for the patch (closes: #759372).
  * add patch buildcheck-redirect-output: add option -o to builddebcheck
    which redirects output to a file (closes: #757643).

 -- Ralf Treinen <treinen@debian.org>  Sun, 14 Sep 2014 20:36:02 +0200
