## dose3 3.3

=== debian/changelog ===
dose3 (3.3-1) experimental; urgency=medium

  [ Johannes Schauer ]
  * Team upload.
  * new upstream version
    - dropped patches that were integrated upstream: build-cmx, doc-target,
      installcudf-target, manpages-typos, multiarch-accept-value-no
  * fix debian/watch (add uversionmangle) 
  * reorder d/copyright stanzas so that the d/update-cudf-solvers paragraph
    gets used

  [ Ralf Treinen ]
  * install the apt-external-solvers.primer in package apt-cudf:
    - added debian/apt-cudf.docs
    - added debian/apt-cudf.doc-base

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Nov 2014 14:36:15 +0100

dose3 (3.3~beta1-2) experimental; urgency=low

  * [ Johannes Schauer ]
  * add two patches from upstream to fix botch FTBFS
     - fixMETA fixes the installed META file (closes: #766745)
     - fixDebPrinter restores original printing of Debian packages

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Nov 2014 17:35:43 +0100
