=== debian/changelog ===
dose3 (4.0.2-4) unstable; urgency=medium

  * Team upload.
  * Disable call to dot during build to avoid FTBFS on some architectures
    (Closes: #809049).

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 03 Jan 2016 11:17:07 +0100

dose3 (4.0.2-3) unstable; urgency=medium

  * revert modifications done for 4.0.2-2 and restore generation of ocamldoc
    documentation since this is fixed now in ocaml.

 -- Ralf Treinen <treinen@debian.org>  Thu, 24 Dec 2015 12:12:42 +0100

dose3 (4.0.2-2) unstable; urgency=medium

  * skip generation of ocamldoc documentation  since it fails with ocaml 4.02
    (closes: #801773):
    - patch skip-ocamldoc
    - debian/libdose3-ocaml-dev.docs
    - drop debian/libdose3-ocaml-dev.doc-base

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Oct 2015 19:12:52 +0200

dose3 (4.0.2-1) unstable; urgency=medium

  * New upstream release
  * remove patch fix_META (was included upstream)

 -- Johannes Schauer <josch@debian.org>  Sun, 27 Sep 2015 11:14:42 +0200

dose3 (4.0.1-2) unstable; urgency=medium

  * add patch fix_META (Closes: #797448)

 -- Johannes Schauer <josch@debian.org>  Mon, 14 Sep 2015 19:18:38 +0200

dose3 (4.0.1-1) unstable; urgency=medium

  [ Johannes Schauer ]
  * New upstream release (Closes: #797448):
    - upstream dropped doc/webpages directory so remove debian/missing-sources
      and the corresponding sections from debian/copyright
    - remove patch make-doc-target-work as upstream fixed this
    - bump version requirement for libextlib-ocaml-dev to 1.7.0 because
      upstream requires implementation for custom exit values if wrong command
      line options are passed

  [ Ralf Treinen ]
  * d/dose-distcheck.NEWS: inform about changes in output format and command
    line options

 -- Johannes Schauer <josch@debian.org>  Tue, 01 Sep 2015 11:02:51 +0200

dose3 (4.0-1) unstable; urgency=medium

  [ Ralf Treinen ]
  * New upstream release:
    - refresh patches: binaries-prefix-edos, coinstall-binary-name
    - deactivate patches: librpm-4.12
  * drop the edos-distcheck transitional package.
  * Replaced build-dependency camlp4 by cppo, following upstream
  * debian/rules: simplify override_dh_auto_build (primers are now built by
    upstream's make doc)

  [ Johannes Schauer ]
  * remove patches cudfSolver-fix-leaking-fds and
    encode-package-name-in-cudf_extras which have been integrated upstream
  * upstream moved ./deb/format822.ml to ./common. Adjusting d/copyright
    accordingly
  * upstream moved ./deb/version.ml to ./versioning/debian_version.ml.
    Adjusting d/copyright accordingly.
  * add d/copyright paragraph for common/shell_lexer.mll
  * add patch make-doc-target-work to make `make doc` work again
  * bump d/compat to 9. It has been in stable since wheezy and even
    old-old-stable has debhelper (>= 9) in backports.
  * simplify override_dh_auto_configure target
  * run dh-autoreconf to make sure that everything can truly be built from
    source
  * add debian/missing-sources for bootstrap.min.js and jquery-2.1.3.min.js
    and add debian/README.source to explain the situation
  * add d/copyright paragraphs for bootstrap.min.js, jquery-2.1.3.min.js and
    their unminified versions in debian/missing-sources
  * add doc/webpages to Files-Excluded in d/copyright

 -- Johannes Schauer <josch@debian.org>  Thu, 27 Aug 2015 12:00:35 +0200

dose3 (3.3-4) unstable; urgency=low

  * update patch binaries-prefix-edos: fix name of dose-deb-coinstall
    (closes: #789331).
  * patch librpm-4.12: Fix FTBFS with librpm-dev 4.12. Patch extracted
    from upstream git, commit 1d0ed0a. Bump build-dependency on librpm-dev
    to >= 4.12 (closes: #789354).
  * d/control: XS-Testsuite => Testsuite

 -- Ralf Treinen <treinen@debian.org>  Tue, 23 Jun 2015 20:48:33 +0200

dose3 (3.3-3) unstable; urgency=medium

  * upload to unstable

 -- Johannes Schauer <josch@debian.org>  Tue, 05 May 2015 21:35:59 +0200

dose3 (3.3-2) experimental; urgency=medium

  * backport patch cudfSolver-fix-leaking-fds to work around libcudf bug
    https://gforge.inria.fr/tracker/index.php?func=detail&aid=18789&group_id=4385&atid=13811
  * added myself to the Uploaders field
  * remove fixDebPrinter and fixMETA from debian/patches as they were
    unused
  * backport patch encode-package-name-in-cudf_extras to prepare for switch
    of cudf encoding of Debian package names in next dose3 release
  * backport patch remove_src_prefix_from_name

 -- Johannes Schauer <josch@debian.org>  Fri, 27 Mar 2015 08:48:14 +0100
