=== debian/tests/control ===
Tests: dose-debcheck
Depends: dose-distcheck

Tests: dose-builddebcheck
Depends: dose-builddebcheck

Tests: dose-outdated
Depends: dose-extra
