=== debian/changelog ===
dose3 (4.1-4) unstable; urgency=medium

  * patch lexing-debian-fields: syntax of debian fields according to
    debian policy. Patch taken from upstream. (closes: #811569)
  * patch add-gnuhardened1-linux: compile on hardenend1-linux-amd64. Thanks
    to Balint Reczey for the patch! (closes: #812786)
  * fix name of dose-deb-coinstall in package description of dose-extra
    (closes: #812203)
  * dose-{distcheck,builddebcheck}.NEWS: announce changes in printing of
    package names (closes: #810303)
  * add test cases for bug#811569 and bug#790422.

 -- Ralf Treinen <treinen@debian.org>  Sun, 07 Feb 2016 18:36:16 +0100

dose3 (4.1-3) unstable; urgency=medium

  * Fix META file: debian.cm{,x}a needs pef.cm{,x}a. The latter must
    appear first in the META file.
  * Add patch to correclty compute max_int on 32bits architectures
    (Closes: #810513). Thanks to Julian Andres Klode for the patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 09 Jan 2016 20:01:04 +0100

dose3 (4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on bytecode architectures.
    - add patch fix_ftbfs_on_bytecode_arch

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 07 Jan 2016 22:07:30 +0100

dose3 (4.1-1) unstable; urgency=medium

  * new upstream version. This release implements versioned provides
    (Closes: #786671).
    - refreshed patch disable-dot.
  * configure: explicit --bindir and --libdir

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Jan 2016 18:49:53 +0100

dose3 (4.1~beta1-1) experimental; urgency=medium

  * new upstream version
    - refreshed patch coinstall-binary-name
    - dropped patch coinstall-binary-name, fixed upstream
  * bump version of build-dependency ocamlgraph and ocaml-nox

 -- Ralf Treinen <treinen@debian.org>  Thu, 24 Dec 2015 14:52:09 +0100
