=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends: debhelper (>= 9), dh-ocaml (>= 0.9~), dh-autoreconf,
 # use the following line only when autoconf stuff has been patched:
 # automake, autoconf,
- ocaml-nox (>= 3.11.1-3~), cppo,
+ ocaml-nox (>= 3.11.2), cppo,
  libre-ocaml-dev,
  libextlib-ocaml-dev (>= 1.7.0),
- libocamlgraph-ocaml-dev (>= 1.8.5),
+ libocamlgraph-ocaml-dev (>= 1.8.6),
  libcudf-ocaml-dev (>= 0.7),
  libzip-ocaml-dev, libbz2-ocaml-dev, librpm-dev (>= 4.12),
  perl, graphviz, hevea, texlive-latex-base, texlive-latex-extra
@@ -104,7 +104,7 @@
   - dose-challenged, a Debian-specific tool for checking which packages
     will certainly become uninstallable when some existing package is upgraded
     to a newer version.
-  - dose-coinstall, a Debian-specific tool for checking whether a set of
+  - dose-deb-coinstall, a Debian-specific tool for checking whether a set of
     packages can be installed all together.
  The tools dose-distcheck and dose-builddebcheck are packaged in their
  own resepective packages.
