=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 	dh $@ --with ocaml --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-ocamlgraph --with-zip --with-bz2 --with-rpm4
+	dh_auto_configure -- --with-ocamlgraph --with-zip \
+			--with-bz2 --with-rpm4 \
+			--bindir=/usr/bin --libdir=/usr/lib
 
 override_dh_auto_install:
 	dh_auto_install
